#!/usr/bin/env python
# vim: set fileencoding=utf-8 :

###############################################################################
#                                                                             #
# Copyright (c) 2016 Idiap Research Institute, http://www.idiap.ch/           #
# Contact: beat.support@idiap.ch                                              #
#                                                                             #
# This file is part of the beat.web module of the BEAT platform.              #
#                                                                             #
# Commercial License Usage                                                    #
# Licensees holding valid commercial BEAT licenses may use this file in       #
# accordance with the terms contained in a written agreement between you      #
# and Idiap. For further information contact tto@idiap.ch                     #
#                                                                             #
# Alternatively, this file may be used under the terms of the GNU Affero      #
# Public License version 3 as published by the Free Software and appearing    #
# in the file LICENSE.AGPL included in the packaging of this file.            #
# The BEAT platform is distributed in the hope that it will be useful, but    #
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY  #
# or FITNESS FOR A PARTICULAR PURPOSE.                                        #
#                                                                             #
# You should have received a copy of the GNU Affero Public License along      #
# with the BEAT platform. If not, see http://www.gnu.org/licenses/.           #
#                                                                             #
###############################################################################

from setuptools import setup, find_packages

# The only thing we do in this file is to call the setup() function with all
# parameters that define our package.
setup(

    name='beat.web',
    version='1.0.4rc2',
    description='Biometrics Evaluation and Testing Platform (Web Modules)',
    url='https://gitlab.idiap.ch/beat/beat.web',
    license='AGPLv3',
    author='Idiap Research Institute',
    author_email='beat.support@idiap.ch',
    long_description=open('README.rst').read(),

    # This line is required for any distutils based packaging.
    packages=find_packages(),
    include_package_data=True,
    zip_safe=False,

    namespace_packages=[
        "beat",
    ],

    install_requires=[
        "beat.core",
        "django",
        "django-activity-stream",
        "django-jsonfield",
        "django-guardian",
        "django_nose",
        "djangorestframework",
        "django-rest-swagger",
        "docopt",
        "docutils",
        "Jinja2",
        "mysqlclient",
        "psycopg2",
        "pytz",
        "setuptools",
        "simplejson",
        "sphinx",
        "sphinx-numfig",
        "sphinxcontrib-programoutput",
        "sphinxcontrib-ansi",
        "sphinxcontrib-httpdomain",
        "matplotlib",
    ],

    classifiers = [
      'Development Status :: 5 - Production/Stable',
      'License :: OSI Approved :: GNU Affero General Public License v3',
      'Intended Audience :: Education',
      'Intended Audience :: Science/Research',
      'Natural Language :: English',
      'Programming Language :: Python',
      'Programming Language :: JavaScript',
      'Framework :: Django',
    ],

    entry_points={
        'console_scripts': [
            'localhost.py = beat.web.scripts.localhost:main',
        ],
    },

)
